Bug 961612 - there is no -redhat-disable-KSM introduction in man page
there is no -redhat-disable-KSM introduction in man page
Status: NEW
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm (Show other bugs)
7.0
Unspecified Unspecified
low Severity low
: rc
: ---
Assigned To: Andrea Arcangeli
Yumei Huang
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-10 01:24 EDT by Sibiao Luo
Modified: 2017-06-30 01:22 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sibiao Luo 2013-05-10 01:24:48 EDT
Description of problem:
We have fixed this issue in rhel6(bug 719269), but did not backport the code to rhel7.

Version-Release number of selected component (if applicable):
host info:
3.9.0-0.55.el7.x86_64
qemu-kvm-1.4.0-4.el7.x86_64

How reproducible:
100%

Steps to Reproduce:
1.# man qemu-kvm and search redhat-disable-KSM.
or # /usr/libexec/qemu-kvm --help | grep -i ksm
2.
3.
  
Actual results:
no item about redhat-disable-KSM found

Expected results:
--redhat-disable-KSM item should be listed in the man page, like:
...
-redhat-disable-KSM
    Disable KSM on the virtual RAM.
...
# /usr/libexec/qemu-kvm --help | grep -i ksm
-redhat-disable-KSM  disable KSM on guest physical memory

Additional info:
Comment 1 Andrea Arcangeli 2014-02-25 13:48:11 EST
In RHEL7 the --redhat-disable-KSM command line doesn't exist because it was obsoleted, it wasn't just the entry missing in the manpage.

Instead there is a mem-merge command line given to the machine type that you should find in the documentation too:

-machine mem=merge=on|off

           mem-merge=on|off
               Enables or disables memory merge support. This feature, when  upported by the host, de-
               duplicates identical memory pages among VMs instances (enabled by default).


So the manager software should start the VM with -machine mem-merge=off if the host is a RHEL7 and it wants to disable KSM.

Unfortunately specifying the KSM on or off option as part of the machine type doesn't make sense because KSM on or off cannot affect live migration and is totally invisible to the guest and independent of the actual machine topology lawyout emulated hardware or anything related to the machine type. But this is the upstream API so we need to live with it and embed this to the machine type. I learnt about this mistake once it was already committed upstream so it's not worth fixing now.

Note You need to log in before you can comment on or make changes to this bug.